Debian Bug report logs - #409486
FTBFS with GCC 4.2: '<anonymous>' has incomplete type

version graph

Package: brutalchess; Maintainer for brutalchess is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for brutalchess is src:brutalchess.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 3 Feb 2007 15:48:24 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version brutalchess/0.5+dfsg-1

Fixed in version brutalchess/0.5.2+dfsg-1

Done: Gürkan Sengün <gurkan@linuks.mine.nu>

Bug is archived. No further changes may be made.

Forwarded to gauntalus@users.sourceforge.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#409486; Package brutalchess. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.2: '<anonymous>' has incomplete type
Date: Sat, 3 Feb 2007 16:31:09 +0100
Package: brutalchess
Version: 0.5+dfsg-1
Tags: patch

This package fails to build with with GCC 4.2.  Version 4.2 has not
been released yet but I'm building with a snapshot in order to find
errors and give people an advance warning.  As of version 4.2, GCC
will no longer accept a typedef void as a function argument in
C++.  In order words, the following code will be accepted as C but
rejected as C++:

(sid)1003:tbm@em64t: ~/src] cat t.c
typedef void ALCvoid;
void test(ALCvoid) {}
(sid)1004:tbm@em64t: ~/src] /usr/lib/gcc-snapshot/bin/gcc -c t.c
(sid)1005:tbm@em64t: ~/src] /usr/lib/gcc-snapshot/bin/g++ -c t.c
t.c:2: error: '<anonymous>' has incomplete type
t.c:2: error: invalid use of 'ALCvoid'

Some background information about why this code is no longer accepted
can be found at http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9278

You make use of such code through the use of GLvoid.  A patch is
below.

> Automatic build of brutalchess_0.5+dfsg-1 on coconut0 by sbuild/ia64 0.49
...
> if ia64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.     -Wall -g -O2  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/freetype2 -MT md3view.o -MD -MP -MF ".deps/md3view.Tpo" -c -o md3view.o md3view.cpp; \
> 	then mv -f ".deps/md3view.Tpo" ".deps/md3view.Po"; else rm -f ".deps/md3view.Tpo"; exit 1; fi
> In file included from md3view.cpp:30:
> q3charmodel.h: In constructor 'Q3CharModel::Q3CharModel()':
> q3charmodel.h:69: warning: 'Q3CharModel::m_lowerframe' will be initialized after
> q3charmodel.h:69: warning:   'int Q3CharModel::m_upperframe'
> q3charmodel.h:28: warning:   when initialized here
> q3charmodel.h: In constructor 'Q3CharModel::Q3CharModel(const std::string&, std::string)':
> q3charmodel.h:69: warning: 'Q3CharModel::m_lowerframe' will be initialized after
> q3charmodel.h:69: warning:   'int Q3CharModel::m_upperframe'
> q3charmodel.h:30: warning:   when initialized here
> md3view.cpp: At global scope:
> md3view.cpp:75: error: '<anonymous>' has incomplete type
> md3view.cpp:75: error: invalid use of 'GLvoid'
> md3view.cpp: In function 'int resizeWindow(int, int)':
> md3view.cpp:75: error: too few arguments to function 'int initGL(<type error>)'
> md3view.cpp:105: error: at this point in file
> md3view.cpp: At global scope:
> md3view.cpp:111: error: '<anonymous>' has incomplete type
> md3view.cpp:111: error: invalid use of 'GLvoid'

--- ./src/md3view.cpp~	2007-02-03 15:18:26.000000000 +0000
+++ ./src/md3view.cpp	2007-02-03 15:18:38.000000000 +0000
@@ -72,7 +72,7 @@
 	exit( returnCode );
 }
 
-int initGL( GLvoid );
+int initGL( void );
 // function to reset our viewport after a window resize
 int resizeWindow( int width, int height )
 {
@@ -108,7 +108,7 @@
 
 
 // general OpenGL initialization function
-int initGL( GLvoid )
+int initGL( void )
 {
 	cout << "Initializing OpenGL" << endl;
 	// Enable smooth shading
--- ./src/objview.cpp~	2007-02-03 15:18:52.000000000 +0000
+++ ./src/objview.cpp	2007-02-03 15:19:06.000000000 +0000
@@ -73,7 +73,7 @@
 	exit( returnCode );
 }
 
-int initGL( GLvoid );
+int initGL( void );
 // function to reset our viewport after a window resize
 int resizeWindow( int width, int height )
 {
@@ -109,7 +109,7 @@
 
 
 // general OpenGL initialization function
-int initGL( GLvoid )
+int initGL( void )
 {
 	cout << "Initializing OpenGL" << endl;
 	// Enable smooth shading
@@ -158,7 +158,7 @@
 }
 
 // Here goes our drawing code
-int drawGLScene( GLvoid )
+int drawGLScene( void )
 {
 	// These are to calculate our fps
 	static GLint T0     = 0;

-- 
Martin Michlmayr
http://www.cyrius.com/



Noted your statement that Bug has been forwarded to gauntalus@users.sourceforge.net. Request was from Gurkan Sengun <gurkan@linuks.mine.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:13:35 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Sat, 01 Sep 2007 11:06:28 GMT) Full text and rfc822 format available.

Tags added: lenny, sid Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 02 Sep 2007 15:27:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#409486; Package brutalchess. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #18 received at 409486@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 409486@bugs.debian.org
Subject: FTBFS with GCC 4.2: '<anonymous>' has incomplete type
Date: Mon, 12 Nov 2007 14:48:52 +0100
During my tests, including this patch, and/or fixing the other bugs, and/or 
updating to the latest version of it. I found brutalchess to not work properly
anymore (pieces not selectable), that's why this is still open.

I was hoping for an improved/new upstream version, but didn't get any response
to my queries...

Yours,
Guerkan




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#409486; Package brutalchess. Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #23 received at 409486@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>
To: 409486@bugs.debian.org
Subject: Re: FTBFS with GCC 4.2: '<anonymous>' has incomplete type
Date: Fri, 11 Jan 2008 01:18:08 +0800
[Message part 1 (text/plain, inline)]
Dear Gürkan,

I use uupdate to update to 0.5.2 with this patch. It works normal.
Can you try it?

Many Thanks,
 Ying-Chun Liu

-- 
                                                PaulLiu(劉穎駿)
E-mail address: grandpaul@gmail.com

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 409486-close@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 409486-close@bugs.debian.org
Subject: Bug#409486: fixed in brutalchess 0.5.2+dfsg-1
Date: Sat, 12 Jan 2008 15:02:03 +0000
Source: brutalchess
Source-Version: 0.5.2+dfsg-1

We believe that the bug you reported is fixed in the latest version of
brutalchess, which is due to be installed in the Debian FTP archive:

brutalchess_0.5.2+dfsg-1.diff.gz
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg-1.diff.gz
brutalchess_0.5.2+dfsg-1.dsc
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg-1.dsc
brutalchess_0.5.2+dfsg-1_amd64.deb
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg-1_amd64.deb
brutalchess_0.5.2+dfsg.orig.tar.gz
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 409486@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gürkan Sengün <gurkan@linuks.mine.nu> (supplier of updated brutalchess package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 11:38:32 +0100
Source: brutalchess
Binary: brutalchess
Architecture: source amd64
Version: 0.5.2+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Fathi Boudra <fabo@debian.org>
Changed-By: Gürkan Sengün <gurkan@linuks.mine.nu>
Description: 
 brutalchess - 3d chess with reflection of the chessmen
Closes: 409486 413483 427341 439236
Changes: 
 brutalchess (0.5.2+dfsg-1) unstable; urgency=low
 .
   * New upstream version. (Closes: #427341)
 .
   [Fathi Boudra]
   * Add alternative dependency on ttf-dejavu. (Closes: #439236)
   * Add patch to fix ftbfs with gcc-4.2. (Closes: #409486)
   * Add patch to fix ftbfs with gcc-4.3. (Closes: #413483)
   * Merge desktop file from Ubuntu.
   * Use quilt patch system.
   * Add quilt, automake1.9, libtool, libxmu-dev and libxi-dev build
     dependencies.
   * Use Homepage field.
   * Bump Standard-Version to 3.7.3.
   * Build with --no-undefined and --as-needed linker flags.
Files: 
 df954670a23433437d036645bf55691f 874 games optional brutalchess_0.5.2+dfsg-1.dsc
 06b8c5be855ca58c7b908ab34519e4ea 4422227 games optional brutalchess_0.5.2+dfsg.orig.tar.gz
 c9d22888a19a2fd822a41f81964f98e0 20321 games optional brutalchess_0.5.2+dfsg-1.diff.gz
 b7ddf5c74df1d0543eb2a77590c3b502 4994752 games optional brutalchess_0.5.2+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBR4jTZIz1NfZqpXL3AQK+gwP/btAxDa/2amNGaWsnTd+rVq2ZNh5gTcMu
C46NuLvqqtjKrr8p9PaTGDhYZsm14c/Gz5XBv+DNX375ldwxUbz/9EU5ByW93cfq
J73p7e7igKf58o7u6ghmLPukRYfDBSpVma99r4MEGezAZ+zXIJZAKYErJg1aChAD
A6wm3ihx69w=
=dMb2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Mar 2008 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:36:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.